Package com.databend.jdbc.cloud

# Class DatabendStage

java.lang.Object
com.databend.jdbc.cloud.DatabendStage

public class DatabendStage extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`DatabendStage.Builder`

## Method Summary

Modifier and Type
Method
Description
`static DatabendStage.Builder`
`builder()`
`ExternalLocationS3`
`getExternalLocationS3()`
`String`
`getPath()`
`String`
`getStageName()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getStageName

public String getStageName()

### getPath

public String getPath()

### getExternalLocationS3

public ExternalLocationS3 getExternalLocationS3()

### builder

public static DatabendStage.Builder builder()

### toString

public String toString()

Overrides:
  `toString` in class `Object`